Loading...
Searching...
No Matches
block_allocator.h File Reference
`#include "../HalideRuntime.h"`
`#include "../printer.h"`
`#include "linked_list.h"`
`#include "memory_resources.h"`
`#include "region_allocator.h"`

Go to the source code of this file.

## Classes

class | Halide::Runtime::Internal::BlockAllocator
| Allocator class interface for managing large contiguous blocks of memory, which are then sub-allocated into smaller regions of memory. More...
struct | Halide::Runtime::Internal::BlockAllocator::MemoryAllocators
struct | Halide::Runtime::Internal::BlockAllocator::Config

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal